Jump to content


Photo

Kodi 18.5 Leia on OpenPli7.2


  • Please log in to reply
15 replies to this topic

#1 didozgemma

  • Senior Member
  • 72 posts

0
Neutral

Posted 9 February 2020 - 15:44

Today I installed OpensSpa 7.4 in the Multiboot part of the Mutant HD60. I noticed too much expected by me plugin - Kodi 18.5 Leia Git: 20200116-nogitfound. The problems with addons and Bulgarian (Cyrillic) subtitles are solved in this release, as well and many others.I tested almost everything - it works quickly, correctly and steadily except for the Simple PVR Iptv client which is missing.

I know that OpenSpa is a Pli based image. Is there any hope for developers to test and add it to OpenPli 7.2 soon.

Attached Files


Edited by didozgemma, 9 February 2020 - 15:45.

Mutant HD60_Zgemma H9S_Max HD_19E_23.5E_39E_45E


Re: Kodi 18.5 Leia on OpenPli7.2 #2 mrvica

  • Senior Member
  • 799 posts

+46
Good

Posted 9 February 2020 - 16:54

as far as I know OpenSpa is based on OE-Alliance, maybe few years ago it was based on OpenPLi



Re: Kodi 18.5 Leia on OpenPli7.2 #3 didozgemma

  • Senior Member
  • 72 posts

0
Neutral

Posted 13 February 2020 - 15:05

Anyone know anything more? At least to know if developers are working in this direction? Soon, etc?


Mutant HD60_Zgemma H9S_Max HD_19E_23.5E_39E_45E


Re: Kodi 18.5 Leia on OpenPli7.2 #4 WanWizard

  • Forum Moderator
    PLi® Core member
  • 50,750 posts

+926
Excellent

Posted 13 February 2020 - 15:17

No team member is working on that, nodbody I know uses Kodi...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H ©, Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Kodi 18.5 Leia on OpenPli7.2 #5 jpuigs

  • Senior Member
  • 970 posts

+24
Neutral

Posted 13 February 2020 - 20:10

The fact that nobody of team members use it doesn't mean that other people wouldn't like to use it.

 

If it were available, I would use it because DAZN Kodi add-on doesn't work on versions lower than 18.


Edited by jpuigs, 13 February 2020 - 20:11.

Spoiler

Re: Kodi 18.5 Leia on OpenPli7.2 #6 WanWizard

  • Forum Moderator
    PLi® Core member
  • 50,750 posts

+926
Excellent

Posted 13 February 2020 - 20:17

Correct. But that does mean there isn't really an incentive to spend time on it...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H ©, Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Kodi 18.5 Leia on OpenPli7.2 #7 littlesat

  • PLi® Core member
  • 50,567 posts

+560
Excellent

Posted 14 February 2020 - 07:51

Just my 2cts.... better run kodi on a box (raspberry pi) that is intended for Kodi... guaranteed Kodi works also better there. Eg the player with a e2 Kodi is the enigma2 player with gstreamer or service app... it will never play all streams that a dedicated Kodi player does play.... en it will always be the latest release while on e2 you have to wait for manufactures or another new ‘hack’ that fix it....

I tried to play HardwareInfo.tv on Kodi but it does not work anymore on enigma2 Kodi.... so I also give up!

Edited by littlesat, 14 February 2020 - 07:53.

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: Kodi 18.5 Leia on OpenPli7.2 #8 XRayhTec

  • Senior Member
  • 88 posts

+2
Neutral

Posted 14 February 2020 - 16:44

Here h9combo with Kodi (with ffmpeg player) runs hardwareinfo.tv without problems.
Regards,

607xRAYHTECV13

ET4x00RAYHTEC4.0

XP1000RAYHTEC4.0


Re: Kodi 18.5 Leia on OpenPli7.2 #9 didozgemma

  • Senior Member
  • 72 posts

0
Neutral

Posted 14 February 2020 - 17:42

As I wrote in OpensSpa 7.4 everything works great in Kodi. I don't know what they use, but it's great to use E2 box as a multimedia player rather than switching inputs, other boxes, etc. It's convenient to use Kodi's add-ons - not to list them. I hope the developers will pay attention to this plugin. Greetings.


Mutant HD60_Zgemma H9S_Max HD_19E_23.5E_39E_45E


Re: Kodi 18.5 Leia on OpenPli7.2 #10 littlesat

  • PLi® Core member
  • 50,567 posts

+560
Excellent

Posted 14 February 2020 - 18:14

With the Kodi from our feeds?

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: Kodi 18.5 Leia on OpenPli7.2 #11 XRayhTec

  • Senior Member
  • 88 posts

+2
Neutral

Posted 14 February 2020 - 19:25

RayhTec build:)

607xRAYHTECV13

ET4x00RAYHTEC4.0

XP1000RAYHTEC4.0


Re: Kodi 18.5 Leia on OpenPli7.2 #12 WTE

  • Senior Member
  • 702 posts

+31
Good

Posted 15 February 2020 - 14:10

Which github sources are used for the build of Kodi.

Kodi 18 need a small patch for the OpenGL. This was removed in Kodi 18 because they expect that all boxes support GBM.

 

The Hisilicon boxes can use Wayland as well but if someone has the removed code revert in Kodi18 it's easier.


Mut@nt HD51 STB 4K

   :rolleyes:                :rolleyes:


Re: Kodi 18.5 Leia on OpenPli7.2 #13 WTE

  • Senior Member
  • 702 posts

+31
Good

Posted 15 February 2020 - 14:14

Just my 2cts.... better run kodi on a box (raspberry pi) that is intended for Kodi... guaranteed Kodi works also better there. Eg the player with a e2 Kodi is the enigma2 player with gstreamer or service app... it will never play all streams that a dedicated Kodi player does play.... en it will always be the latest release while on e2 you have to wait for manufactures or another new ‘hack’ that fix it....

I tried to play HardwareInfo.tv on Kodi but it does not work anymore on enigma2 Kodi.... so I also give up!

Hisilicon doesn't use Gstreamer or service app. It has a build in Hiplayer and it's powerfull enough to play online stream with the internal kodi player.


Edited by WTE, 15 February 2020 - 14:15.

Mut@nt HD51 STB 4K

   :rolleyes:                :rolleyes:


Re: Kodi 18.5 Leia on OpenPli7.2 #14 didozgemma

  • Senior Member
  • 72 posts

0
Neutral

Posted 15 February 2020 - 17:47

I have not had any problems playing any video files or streams with Kodi. For now, I have a problem displaying Bulgarian (Cyrillic) subtitles in the torrent player (Elementum for example), and if not in UTF8 and in the normal video player. I suppose it is a small thing and a competent person will find the problem immediately. I use the same settings in Kodi17.6 of OpenPli7.2, Kodi18 of Leia in OpenSpa7.4, as well as in OpenElec, LibreElec, Android, etc. other devices. The problem is with all the images (OpenPli, OpenATV, OpenVix, etc.) that use 17.6 Krypton. On other boxes every is fine even when I was with version 17.It doesn't matter to me the Kodi version, but to solve my problem. I'm trying to figure out where the problem is - for now without success, that's why I posted this thread. If anyone has info ...


Mutant HD60_Zgemma H9S_Max HD_19E_23.5E_39E_45E


Re: Kodi 18.5 Leia on OpenPli7.2 #15 foxbob

  • Senior Member
  • 313 posts

+11
Neutral

Posted 16 February 2020 - 13:55

And how can this be fixed?

| CMake Error at /home/foxbob/zeus/openpli-oe-core/build/tmp/work/armv7ahf-neon-oe-linux-gnueabi/stb-kodi-et1x000/18.5+gitrAUTOINC+2e531ada63-r0/recipe-sysroot-native/usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
|   Could NOT find OpenGl (missing: OPENGL_gl_LIBRARY OPENGL_glu_LIBRARY
|   OPENGL_INCLUDE_DIR)
| Call Stack (most recent call first):
|   /home/foxbob/zeus/openpli-oe-core/build/tmp/work/armv7ahf-neon-oe-linux-gnueabi/stb-kodi-et1x000/18.5+gitrAUTOINC+2e531ada63-r0/recipe-sysroot-native/usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
|   cmake/modules/FindOpenGl.cmake:34 (find_package_handle_standard_args)
|   cmake/scripts/common/Macros.cmake:366 (find_package)
|   cmake/scripts/common/Macros.cmake:380 (find_package_with_ver)
|   CMakeLists.txt:172 (core_require_dep)
| 
| 
| -- Configuring incomplete, errors occurred!



Re: Kodi 18.5 Leia on OpenPli7.2 #16 WTE

  • Senior Member
  • 702 posts

+31
Good

Posted 17 February 2020 - 09:21

 

And how can this be fixed?

| CMake Error at /home/foxbob/zeus/openpli-oe-core/build/tmp/work/armv7ahf-neon-oe-linux-gnueabi/stb-kodi-et1x000/18.5+gitrAUTOINC+2e531ada63-r0/recipe-sysroot-native/usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
|   Could NOT find OpenGl (missing: OPENGL_gl_LIBRARY OPENGL_glu_LIBRARY
|   OPENGL_INCLUDE_DIR)
| Call Stack (most recent call first):
|   /home/foxbob/zeus/openpli-oe-core/build/tmp/work/armv7ahf-neon-oe-linux-gnueabi/stb-kodi-et1x000/18.5+gitrAUTOINC+2e531ada63-r0/recipe-sysroot-native/usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
|   cmake/modules/FindOpenGl.cmake:34 (find_package_handle_standard_args)
|   cmake/scripts/common/Macros.cmake:366 (find_package)
|   cmake/scripts/common/Macros.cmake:380 (find_package_with_ver)
|   CMakeLists.txt:172 (core_require_dep)
| 
| 
| -- Configuring incomplete, errors occurred!

 

By installing mesa I assume.


Mut@nt HD51 STB 4K

   :rolleyes:                :rolleyes:





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users